QGIS Application - Feature request #4739
Browser: allow renaming, moving and deleting datasources
2012-01-04 04:38 AM - Filipe Dias

Status: Open

Priority: Normal

Assignee:

Category: Browser

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14611
Description

It would be very useful to be able to delete geographic files in QGIS File Browser.

ArcCatalog (from ArcGIS) has this feature and many many people find it useful.

Related issues:

Related to QGIS Application - Feature request # 5076: Add option "Remove from... Open 2012-02-23
Duplicated by QGIS Application - Feature request # 7481: add "rename layer" f... Closed 2013-03-31
History

#1 - 2012-01-04 04:44 AM - Paolo Cavallini
- Category set to C++ Plugins
- Priority changed from Normal to Low

#2 - 2012-01-04 09:46 AM - Jiirgen Fischer
- Category changed from C++ Plugins to Browser

#3 - 2012-04-15 10:21 AM - Giovanni Manghi
- Target version set to Version 2.0.0

#4 - 2012-05-30 03:22 AM - Giovanni Manghi

- Subject changed from Delete shapefiles and other geographic files in QGIS File Browser to Browser: allow renaming, moving and deleting datasources

- Priority changed from Low to Normal

Changed the title to reflect the missing features in the browser and that are available in popular software like arccatalog and wxgis.

#5 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-05-13 01:31 AM - Paolo Corti

| see that this was targeted to version X.

Is it that difficult to implement the support for it for 2.0? | think file delete and rename in the browser would make a huge difference.
Just my 2 cents.

#7 - 2015-02-27 04:40 PM - Joel Masselink

| believe this is still an outstanding feature request.
Currently what's a simple work around?

#8 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
